classdef Geometry2D < svui.app.Geometry
%GEOMETRY2D Abstract class for planar geometries
%
%   Class Geometry2D
%
%   Example
%   Geometry2D
%
%   See also
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2013-10-18,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2013 INRA - Cepia Software Platform.


% %% Properties
% properties
% end % end properties


%% Constructor
methods
    function this = Geometry2D(varargin)
    % Constructor for Geometry2D class

    end

end % end constructors


%% Abstract Methods
methods ( Abstract )
    
    box = boundingBox(this)
    % returns the bounding box of this shape
    
    varargout = draw(this, varargin)
    % draw the current geometry, eventually specifying the style
       
    res = scale(this, varargin)
    % returns a scaled version of this geometry
        
    res = translate(this, varargin)
    % returns a translated version of this geometry
        
        
end % end methods

end % end classdef

