classdef AddNewDemoShapeAction < svui.gui.ShapeViewerAction
%AddNewDemoShapeAction  add a rectrangular shape to current doc 
%
%   Class AddNewDemoShapeAction
%
%   Example
%   AddNewDemoShapeAction
%
%   See also
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2012-01-29,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2012 INRA - Cepia Software Platform.


%% Properties
properties
end % end properties


%% Constructor
methods
    function this = AddNewDemoShapeAction(viewer, varargin)
    % Constructor for AddNewDemoShapeAction class

        % calls the parent constructor
        this = this@svui.gui.ShapeViewerAction(viewer, 'addDemoShape');
    end

end % end constructors


%% Methods
methods
    function actionPerformed(this, src, event) %#ok<INUSD>
        disp('Add a demo polygon');
        
        % get handle to parent figure, and current doc
        viewer = this.viewer;
        doc = viewer.doc;
        
        % create polygon
        poly    = [50 50;80 50;80 70;50 70];
        shape   = svui.app.Shape(poly, 'polygon', ...
            {'linewidth', 2, 'color', 'b'});
        
        addShape(doc, shape);
        
        updateDisplay(viewer);
        
    end
end % end methods

end % end classdef

