classdef AddPaperHenShapeAction < svui.gui.ShapeViewerAction
%AddPaperHenShapeAction  add a rectrangular shape to current doc 
%
%   Class AddPaperHenShapeAction
%
%   Example
%   AddPaperHenShapeAction
%
%   See also
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2012-11-11,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2012 INRA - Cepia Software Platform.


%% Properties
properties
end % end properties


%% Constructor
methods
    function this = AddPaperHenShapeAction(viewer, varargin)
    % Constructor for AddPaperHenShapeAction class

        % calls the parent constructor
        this = this@svui.gui.ShapeViewerAction(viewer, 'addPaperHenShape');
    end

end % end constructors


%% Methods
methods
    function actionPerformed(this, src, event) %#ok<INUSD>
        disp('Add a demo polygon');
        
        % get handle to parent figure, and current doc
        viewer = this.viewer;
        doc = viewer.doc;
        
        % create polygon
        x = [0 10 20  0 -10 -20 -10 -10  0];
        y = [0  0 10 10  20  10  10  0 -10];
        poly    = [x' y'];
        shape   = svui.app.Shape(poly, 'polygon', ...
            {'linewidth', 2, 'color', 'b'});
        
        addShape(doc, shape);
        
        updateDisplay(viewer);
        
    end
end % end methods

end % end classdef

