classdef AddRandomPointsAction < svui.gui.ShapeViewerAction
%ADDRANDOMPOINTSACTION add a set of random points to current doc
%
%   Class AddRandomPointsAction
%
%   Example
%   AddRandomPointsAction
%
%   See also
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2012-01-29,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2012 INRA - Cepia Software Platform.


%% Properties
properties
end % end properties


%% Constructor
methods
    function this = AddRandomPointsAction(viewer, varargin)
    % Constructor for AddRandomPointsAction class

        % calls the parent constructor
        this = this@svui.gui.ShapeViewerAction(viewer, 'addRandomPoints');
    end

end % end constructors


%% Methods
methods
    function actionPerformed(this, src, event) %#ok<INUSD>
        disp('Add some random points');
        
        % get handle to parent figure, and current doc
        viewer = this.viewer;
        doc = viewer.doc;
        
        % create polygon
        pts  = rand(30, 2) * 50;
        shape   = svui.app.Shape(pts, 'pointSet', ...
            {'linewidth', 1, 'color', 'b'});
        
        addShape(doc, shape);
        
        updateDisplay(viewer);
        
    end
end % end methods

end % end classdef

