classdef ChangeUserUnitAction < svui.gui.ShapeViewerAction
%ChangeUserUnitAction add a set of random points to current doc
%
%   Class ChangeUserUnitAction
%
%   Example
%   ChangeUserUnitAction
%
%   See also
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2012-01-29,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2012 INRA - Cepia Software Platform.


%% Properties
properties
end % end properties


%% Constructor
methods
    function this = ChangeUserUnitAction(viewer, varargin)
    % Constructor for ChangeUserUnitAction class

        % calls the parent constructor
        this = this@svui.gui.ShapeViewerAction(viewer, 'changeUserUnit');
    end

end % end constructors


%% Methods
methods
    function actionPerformed(this, src, event) %#ok<INUSD>
        
        % get handle to parent figure, and current doc
        viewer = this.viewer;
        doc = viewer.doc;
        unit = doc.userUnit;
        
        answer = inputdlg(...
            {'Change unit name:'}, ...
            'Change Unit', ...
            1, {unit});
        if isempty(answer)
            return;
        end
        
        doc.userUnit = answer{1};
    end
end % end methods

end % end classdef

