classdef DeleteSelectedShapesAction < svui.gui.ShapeViewerAction
%DELETESELECTEDSHAPESACTION Delete selected shapes from current doc 
%
%   Class DeleteSelectedShapesAction
%
%   Example
%   DeleteSelectedShapesAction
%
%   See also
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2012-01-29,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2012 INRA - Cepia Software Platform.


%% Properties
properties
end % end properties


%% Constructor
methods
    function this = DeleteSelectedShapesAction(viewer, varargin)
    % Constructor for DeleteSelectedShapesAction class

        % calls the parent constructor
        this = this@svui.gui.ShapeViewerAction(viewer, 'delete');
    end

end % end constructors


%% Methods
methods
    function actionPerformed(this, src, event) %#ok<INUSD>
        disp('delete selected shapes');
        
        % get handle to parent figure, and current doc
        viewer = this.viewer;
        doc = viewer.doc;
       
        shapes = viewer.selectedShapes;
        for i = 1:length(shapes)
            shape = shapes(1);
            removeShape(doc, shape);
        end

        updateDisplay(viewer);
        
    end
end % end methods

end % end classdef

