classdef RenameCurrentDocAction < svui.gui.ShapeViewerAction
%EXITACTION Close the application
%
%   output = RenameCurrentDocAction(input)
%
%   Example
%   RenameCurrentDocAction
%
%   See also
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2011-12-02,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2011 INRA - Cepia Software Platform.

methods
    function this = RenameCurrentDocAction(viewer, varargin)
        % calls the parent constructor
        this = this@svui.gui.ShapeViewerAction(viewer, 'createNewDoc');
    end
end

methods
    function actionPerformed(this, varargin)        
        viewer = this.viewer;
        doc = viewer.doc;
        
        docName = doc.name;
        
        answer = inputdlg(...
            {'Change document name:'}, ...
            'Change Doc Name', ...
            1, {docName});
        if isempty(answer)
            return;
        end
        
        doc.name = answer{1};
        
        updateTitle(viewer);
    end
end

end