classdef SelectAllShapesAction < svui.gui.ShapeViewerAction
%ADDRANDOMPOINTSACTION add all shapes in document to current selection 
%
%   Class SelectAllShapesAction
%
%   Example
%   SelectAllShapesAction
%
%   See also
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2012-01-29,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2012 INRA - Cepia Software Platform.


%% Properties
properties
end % end properties


%% Constructor
methods
    function this = SelectAllShapesAction(viewer, varargin)
    % Constructor for SelectAllShapesAction class

        % calls the parent constructor
        this = this@svui.gui.ShapeViewerAction(viewer, 'selectAllShapes');
    end

end % end constructors


%% Methods
methods
    function actionPerformed(this, src, event) %#ok<INUSD>
        disp('select all shapes');
        
        % get handle to parent viewer
        viewer = this.viewer;
        
        clearSelection(viewer);
        
        shapes = viewer.doc.shapes;
        for i = 1:length(shapes)
            addToSelection(viewer, shapes(i));
        end
        
        updateDisplay(viewer);
        
    end
end % end methods

end % end classdef

