classdef ToggleDocumentShowAxisLinesAction < svui.gui.ShapeViewerAction
%ToggleDocumentShowAxisLinesAction add a set of random points to current doc
%
%   Class ToggleDocumentShowAxisLinesAction
%
%   Example
%   ToggleDocumentShowAxisLinesAction
%
%   See also
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2012-01-29,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2012 INRA - Cepia Software Platform.


%% Properties
properties
end % end properties


%% Constructor
methods
    function this = ToggleDocumentShowAxisLinesAction(viewer, varargin)
    % Constructor for ToggleDocumentShowAxisLines class

        % calls the parent constructor
        this = this@svui.gui.ShapeViewerAction(viewer, 'toggleShowAxisLines');
    end

end % end constructors


%% Methods
methods
    function actionPerformed(this, src, event) %#ok<INUSD>
        
        % get handle to parent figure, and current doc
        viewer = this.viewer;
        doc = viewer.doc;
        doc.axisLinesVisible = ~doc.axisLinesVisible;
        
        updateDisplay(viewer);
    end
end % end methods

end % end classdef

