classdef TranslateShapeAction < svui.gui.ShapeViewerAction
%SCALESHAPEACTION  Scale the selected shape by a given factor
%
%   Class TranslateShapeAction
%
%   Example
%   TranslateShapeAction
%
%   See also
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2012-06-18,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2012 INRA - Cepia Software Platform.


%% Properties
properties
end % end properties


%% Constructor
methods
    function this = TranslateShapeAction(viewer, varargin)
    % Constructor for TranslateShapeAction class

        % calls the parent constructor
        this = this@svui.gui.ShapeViewerAction(viewer, 'translateShape');
    end

end % end constructors


%% Methods
methods
    function actionPerformed(this, src, event) %#ok<INUSD>
        disp('translate selected shapes');
        
        % get handle to parent viewer
        viewer = this.viewer;
        
        % input translation shift
        answer = inputdlg(...
            {'Shift in X:', 'Shift in Y:'}, ...
            'Translate Shape', ...
            1, {'0', '0'});
        if isempty(answer)
            return;
        end
        shift = str2double(answer)';
        if sum(isnan(shift)) > 0
            return;
        end
        
        % transform each selected shape
        shapes = viewer.selectedShapes;
        for i = 1:length(shapes)
            translate(shapes(i), shift);
        end
        
        updateDisplay(viewer);
    end
    
end % end methods

end % end classdef

