classdef ZoomInAction < svui.gui.ShapeViewerAction
%ZoomInAction add a set of random points to current doc
%
%   Class ZoomInAction
%
%   Example
%   ZoomInAction
%
%   See also
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2012-01-29,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2012 INRA - Cepia Software Platform.


%% Properties
properties
end % end properties


%% Constructor
methods
    function this = ZoomInAction(viewer, varargin)
    % Constructor for ZoomInAction class

        % calls the parent constructor
        this = this@svui.gui.ShapeViewerAction(viewer, 'zoomIn');
    end

end % end constructors


%% Methods
methods
    function actionPerformed(this, src, event) %#ok<INUSD>
        
        % get handle to parent figure, and current doc
        viewer = this.viewer;
        ax = viewer.handles.mainAxis;
        axes(ax); %#ok<MAXES>
        zoom(2);
        box = [get(ax, 'xlim') get(ax, 'ylim')];
        viewer.doc.viewBox = box;
%         updateDisplay(viewer); 
    end
end % end methods

end % end classdef

